# Run tests in check section
%bcond_without check

# https://github.com/anacrolix/envpprof
%global goipath         github.com/anacrolix/envpprof
Version:                1.0.0

%global common_description %{expand:
Allows run time configuration of Go's pprof features and default HTTP mux
using environment variables.}

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        Allows run time configuration of Go's pprof features and default HTTP mux
# Detected licences
# - Expat License at 'LICENSE'
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE


%changelog
* Tue Mar 26 18:07:19 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> -1.0.0-1
- Release 1.0.0 (#1692635)

* Thu Mar 07 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20190307git323002c
- First package for Fedora

